api/urls.py
# -*- coding: utf-8 -*-

# from django.contrib.auth.decorators import login_required
from django.urls import path

from .views import (  # GeoJSONTiledPlaceData,
    ActiveUserAutocomplete,
    AllUserAutocomplete,
    MetaPlaceAutocomplete,
    MunicipalityAutocomplete,
    PlaceAutocomplete,
    StudyAutocomplete,
    TaxaAutocomplete,
    TerritoryAutocomplete,
    metaplaces_as_geojson,
    places_as_geojson,
    places_in_metaplace_as_geojson,
)

# from sights.models import Municipality, Territory


# from djgeojson.views import GeoJSONLayerView


app_name = "general_api"

urlpatterns = [
    # path(
    #     "municipality.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Municipality,
    #             precision=3,
    #             simplify=0.5,
    #             properties=("name", "code"),
    #         )
    #     ),
    #     name="geodata_municipality",
    # ),
    # path(
    #     "territory.geojson",
    #     login_required(
    #         GeoJSONLayerView.as_view(
    #             model=Territory, precision=3, simplify=0.5, properties=("name", "code")
    #         )
    #     ),
    #     name="geodata_territory",
    # ),
    path("place.geojson", places_as_geojson, name="geodata_place"),
    path("metaplaces.geojson", metaplaces_as_geojson, name="geodata_metaplaces"),
    path(
        "metaplaces/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_places_in_metaplaces",
    ),
    path(
        "metaplaces/<int:pk>/places.geojson",
        places_in_metaplace_as_geojson,
        name="geodata_place_in_metaplace",
    ),
    # path(
    #     "place/<int:z>/<int:x>/<int:y>",
    #     GeoJSONTiledPlaceData.as_view(),
    #     name="placetiled",
    # ),
    path(
        "active-user-autocomplete/",
        ActiveUserAutocomplete.as_view(),
        name="active_user_autocomplete",
    ),
    path(
        "all-user-autocomplete/",
        AllUserAutocomplete.as_view(),
        name="all_user_autocomplete",
    ),
    path("taxa-autocomplete/", TaxaAutocomplete.as_view(), name="taxa_autocomplete"),
    path(
        "municipality-autocomplete/",
        MunicipalityAutocomplete.as_view(),
        name="municipality_autocomplete",
    ),
    path(
        "territory-autocomplete/",
        TerritoryAutocomplete.as_view(),
        name="territory_autocomplete",
    ),
    path("place-autocomplete/", PlaceAutocomplete.as_view(), name="place_autocomplete"),
    path(
        "metaplace-autocomplete/",
        MetaPlaceAutocomplete.as_view(),
        name="metaplace_autocomplete",
    ),
    path(
        "v1/study/search",
        StudyAutocomplete.as_view(),
        name="study_autocomplete",
    ),
]

metadata/urls.py
from django.urls import path

from metadata.api import AcquisitionFrameworkViewset, OrganismViewset
from metadata.views import (
    AcquisitionFrameworkCreate,
    AcquisitionFrameworkDetail,
    AcquisitionFrameworkUpdate,
    OrganismCreate,
    OrganismDelete,
    OrganismDetail,
    OrganismList,
    OrganismUpdate,
)

app_name = "metadata"

urlpatterns = [
    # API
    path(
        "api/v1/metadata/organisms/list",
        OrganismViewset.as_view({"get": "list"}),
        name="organism_list_api",
    ),
    path(
        "api/v1/metadata/organisms/<int:pk>",
        OrganismViewset.as_view({"get": "retrieve"}),
        name="organism_detail_api",
    ),
    path(
        "api/v1/metadata/acquisition_framework/list",
        AcquisitionFrameworkViewset.as_view({"get": "list"}),
        name="acquisition_framework_list_api",
    ),
    path(
        "api/v1/metadata/acquisition_framework/",
        AcquisitionFrameworkViewset.as_view({"post": "create"}),
        name="acquisition_framework_list_api",
    ),
    path(
        "api/v1/metadata/acquisition_framework/<int:pk>",
        AcquisitionFrameworkViewset.as_view({"get": "retrieve"}),
        name="acquisition_framework_detail_api",
    ),
    path(
        "api/v1/metadata/acquisition_framework/<int:pk>",
        AcquisitionFrameworkViewset.as_view({"put": "partial-update"}),
        name="acquisition_framework_list_api",
    ),
    path(
        "api/v1/metadata/acquisition_framework/<int:pk>",
        AcquisitionFrameworkViewset.as_view({"delete": "destroy"}),
        name="acquisition_framework_list_api",
    ),
    # Pages
    path(
        "metadata/organisms/list",
        OrganismList.as_view(),
        name="organisms_list",
    ),
    path(
        "metadata/organisms/create",
        OrganismCreate.as_view(),
        name="organisms_create",
    ),
    path(
        "metadata/organisms/<int:pk>/update",
        OrganismUpdate.as_view(),
        name="organisms_update",
    ),
    path(
        "metadata/organisms/<int:pk>/detail",
        OrganismDetail.as_view(),
        name="organisms_detail",
    ),
    path(
        "metadata/organisms/<int:pk>/delete",
        OrganismDelete.as_view(),
        name="organisms_delete",
    ),
    path(
        "metadata/acquisition-framework/create",
        AcquisitionFrameworkCreate.as_view(),
        name="acquisition_framework_create",
    ),
    path(
        "metadata/acquisition-framework/<int:pk>/update",
        AcquisitionFrameworkUpdate.as_view(),
        name="acquisition_framework_update",
    ),
    path(
        "metadata/acquisition-framework/<int:pk>/detail",
        AcquisitionFrameworkDetail.as_view(),
        name="acquisition_framework_detail",
    ),
]

metadata/forms.py
from crispy_forms.bootstrap import Accordion
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Button, Column, Layout, Row, Submit
from django import forms
from django.utils.translation import ugettext_lazy as _

from core.forms import InfoAccordionGroup, PrimaryAccordionGroup
from metadata.models import AcquisitionFramework, Organism


class OrganismForm(forms.ModelForm):
    class Meta:
        model = Organism
        fields = (
            "id_organism",
            "label",
            "short_label",
            "action_scope",
            "geographic_area",
            "geographic_area_details",
            "status",
            "type",
            "address",
            "postal_code",
            "municipality",
            "email",
            "phone_number",
            "url",
        )

    widgets = {
        "id_organism": forms.HiddenInput(),
    }

    def __init__(self, *args, **kwargs):
        self.helper = FormHelper()
        self.helper.form_method = "post"
        self.helper.form_action = "submit"

        self.helper.layout = Layout(
            Row(
                Column(
                    Submit(
                        "gotoCount",
                        _("Enregistrer et ajouter des membres"),
                        css_class="btn btn-success btn-sm",
                    ),
                    Submit(
                        "_addanother",
                        _("Enregistrer et ajouter un autre organisme"),
                        css_class="btn btn-info btn-sm",
                        css_id="_addanother",
                    ),
                    Submit(
                        "submit",
                        _("Enregistrer et quitter"),
                        css_class="btn btn-primary btn-sm",
                    ),
                    Button("cancel", "Annuler", css_class="btn-warning"),
                    css_class="col-lg-12 btn-group btn-group-sm right",
                    role="button",
                )
            ),
            Accordion(
                PrimaryAccordionGroup(
                    "Description",
                    Row(
                        Column("label", css_class="col-lg-6 col-sm-12"),
                        Column("short_label", css_class="col-lg-6 col-sm-12"),
                        Column("action_scope", css_class="col-lg-6 col-sm-12"),
                        Column("geographic_area", css_class="col-lg-6 col-sm-12"),
                        Column("geographic_area_details", css_class="col-lg-12"),
                        Column("status", css_class="col-lg-6 col-sm-12"),
                        Column("type", css_class="col-lg-6 col-sm-12"),
                    ),
                ),
                InfoAccordionGroup(
                    "Coordonnées",
                    Row(
                        Column("email", css_class="col-md-6 col-sm-12"),
                        Column("phone_number", css_class="col-md-6 col-sm-12"),
                        Column("url", css_class="col-lg-12"),
                        Column("address", css_class="col-md-4 col-sm-12"),
                        Column("postal_code", css_class="col-md-4 col-sm-12"),
                        Column("municipality", css_class="col-md-4 col-sm-12"),
                    ),
                ),
            ),
            Row(
                Column(
                    Submit(
                        "gotoCount",
                        _("Enregistrer et ajouter des détails"),
                        css_class="btn btn-success btn-sm",
                    ),
                    Submit(
                        "_addanother",
                        _("Enregistrer et ajouter une autre observation"),
                        css_class="btn btn-info btn-sm",
                        css_id="_addanother",
                    ),
                    Submit(
                        "submit",
                        _("Enregistrer et quitter"),
                        css_class="btn btn-primary btn-sm",
                    ),
                    Button(
                        "cancel",
                        "Annuler",
                        css_class="btn-warning",
                    ),
                    css_class="col-lg-12 btn-group btn-group-sm right",
                    role="button",
                )
            ),
        )

        super(OrganismForm, self).__init__(*args, **kwargs)


class AcquisitionFrameworkForm(forms.ModelForm):
    class Meta:
        model = AcquisitionFramework
        fields = (
            "id_acquisition_framework",
            "label",
            "desc",
            "context",
            "objective",
            "territory_level",
            "territory",
            "geo_accuracy",
            "keywords",
            "financing_type",
            "actor",
            "target_description",
            "is_metaframework",
            "parent_framework",
            "ecologic_or_geologic_target",
            "date_start",
            "date_end",
        )

    widgets = {
        "id_acquisition_framework": forms.HiddenInput(),
    }

    def __init__(self, *args, **kwargs):
        self.helper = FormHelper()
        self.helper.form_method = "post"
        self.helper.form_action = "submit"

        self.helper.layout = Layout(
            Row(
                Column(
                    Submit(
                        "gotoCount",
                        _("Enregistrer et ajouter des membres"),
                        css_class="btn btn-success btn-sm",
                    ),
                    Submit(
                        "_addanother",
                        _("Enregistrer et ajouter un autre organisme"),
                        css_class="btn btn-info btn-sm",
                        css_id="_addanother",
                    ),
                    Submit(
                        "submit",
                        _("Enregistrer et quitter"),
                        css_class="btn btn-primary btn-sm",
                    ),
                    Button("cancel", "Annuler", css_class="btn-warning"),
                    css_class="col-lg-12 btn-group btn-group-sm right",
                    role="button",
                )
            ),
            Accordion(
                PrimaryAccordionGroup(
                    "Description",
                    Row(
                        Column("label", css_class="col-lg-12"),
                        Column("desc", css_class="col-lg-12"),
                        Column("context", css_class="col-lg-6 col-sm-12"),
                        Column("objective", css_class="col-lg-6 col-sm-12"),
                        Column("territory_level", css_class="col-lg-6 col-sm-12"),
                        Column("geo_accuracy", css_class="col-lg-6 col-sm-12"),
                        Column("territory", css_class="col-lg-12"),
                        Column("keywords", css_class="col-lg-4 col-sm-12"),
                        Column("financing_type", css_class="col-lg-4 col-sm-12"),
                        Column("actor", css_class="col-lg-4 col-sm-12"),
                        Column("target_description", css_class="col-lg-12"),
                        Column("is_metaframework", css_class="col-lg-6 col-sm-12"),
                        Column("parent_framework", css_class="col-lg-6 col-sm-12"),
                        Column(
                            "ecologic_or_geologic_target",
                            css_class="col-lg-12",
                        ),
                        Column("date_start", css_class="col-lg-6 col-sm-12"),
                        Column("date_end", css_class="col-lg-6 col-sm-12"),
                    ),
                ),
            ),
            Row(
                Column(
                    Submit(
                        "gotoCount",
                        _("Enregistrer et ajouter des détails"),
                        css_class="btn btn-success btn-sm",
                    ),
                    Submit(
                        "_addanother",
                        _("Enregistrer et ajouter une autre observation"),
                        css_class="btn btn-info btn-sm",
                        css_id="_addanother",
                    ),
                    Submit(
                        "submit",
                        _("Enregistrer et quitter"),
                        css_class="btn btn-primary btn-sm",
                    ),
                    Button(
                        "cancel",
                        "Annuler",
                        css_class="btn-warning",
                    ),
                    css_class="col-lg-12 btn-group btn-group-sm right",
                    role="button",
                )
            ),
        )

        super(AcquisitionFrameworkForm, self).__init__(*args, **kwargs)

metadata/views.py
# Create your views here.

"""
    Vues de l'application Sights
"""

from django.contrib.auth.mixins import LoginRequiredMixin
from django.utils.translation import ugettext_lazy as _
from django.views.generic import DeleteView, DetailView, ListView
from django.views.generic.edit import CreateView, UpdateView

from metadata.forms import AcquisitionFrameworkForm, OrganismForm
from metadata.models import AcquisitionFramework, Organism

IMAGE_FILE_TYPES = ["png", "jpg", "jpeg"]
DOCUMENT_FILE_TYPES = ["doc", "docx", "odt", "pdf"]


class OrganismList(LoginRequiredMixin, ListView):
    model = Organism
    context_object_name = "organisms"
    template_name = "organism_list.html"

    def get_context_data(self, **kwargs):
        context = super(OrganismList, self).get_context_data(**kwargs)
        context["icon"] = "fa fa-eye fa-fw"
        context["title"] = _("Mise à jour d'un cadre d'acquisition")
        context["js"] = ""
        return context


class OrganismCreate(LoginRequiredMixin, CreateView):
    model = Organism
    template_name = "normal_form.html"
    form_class = OrganismForm

    def get_context_data(self, **kwargs):
        context = super(OrganismCreate, self).get_context_data(**kwargs)
        context["icon"] = "fa fa-users fa-fw"
        context["title"] = _("Ajout d'un organisme")
        context["js"] = ""
        return context

    def form_valid(self, form):
        form.instance.created_by = self.request.user
        return super(OrganismCreate, self).form_valid(form)


class OrganismUpdate(LoginRequiredMixin, UpdateView):
    model = Organism
    template_name = "normal_form.html"
    form_class = OrganismForm

    def get_context_data(self, **kwargs):
        context = super(OrganismUpdate, self).get_context_data(**kwargs)
        context["icon"] = "fa fa-users fa-fw"
        context["title"] = _("Modifier un organisme")
        context["js"] = ""
        return context

    def form_valid(self, form):
        form_valid = super(OrganismUpdate, self).form_valid(form)
        form.instance.created_by = self.request.user
        return form_valid


class OrganismDetail(LoginRequiredMixin, DetailView):
    model = Organism
    template_name = "organism_detail.html"


class OrganismDelete(LoginRequiredMixin, DeleteView):
    model = Organism


class AcquisitionFrameworkCreate(LoginRequiredMixin, CreateView):
    model = AcquisitionFramework
    template_name = "normal_form.html"
    form_class = AcquisitionFrameworkForm

    def get_context_data(self, **kwargs):
        context = super(AcquisitionFrameworkCreate, self).get_context_data(**kwargs)
        context["icon"] = "fa fa-eye fa-fw"
        context["title"] = _("Ajout d'un cadre d'acquisition")
        context["js"] = ""
        return context


class AcquisitionFrameworkUpdate(LoginRequiredMixin, UpdateView):
    model = AcquisitionFramework
    form_class = AcquisitionFrameworkForm
    template_name = "normal_form.html"

    def get_context_data(self, **kwargs):
        context = super(AcquisitionFrameworkUpdate, self).get_context_data(**kwargs)
        context["icon"] = "fa fa-eye fa-fw"
        context["title"] = _("Mise à jour d'un cadre d'acquisition")
        context["js"] = ""
        return context


class AcquisitionFrameworkDelete(LoginRequiredMixin, DeleteView):
    model = AcquisitionFramework


class AcquisitionFrameworkDetail(LoginRequiredMixin, DetailView):
    model = AcquisitionFramework
    template_name = "acquisition_framework_detail.html"

metadata/templates/acquisition_framework_detail.html
{% extends 'base_fullwidth_leaflet.html' %}
{% load i18n %}
{% load static %}
{% block content %}
    <script src="https://cdn.jsdelivr.net/npm/vue@2/dist/vue.js"></script>
    <script src="https://momentjs.com/downloads/moment-with-locales.js"></script>
    <div id="acquisitionframework">

    <h1><i class="fa fa-users"></i> Cadre d'acquisition [[object.label]]</h1>
    <p>
        <small>Créée par <b>[[ object.created_by ]]</b> le <b>[[ object.timestamp_create | humanize_ts ]]</b>
            <span v-if="object.updated_by"> et
                mise à jour le <b>[[ object.timestamp_update | humanize_ts ]]</b> par <b>[[ object.updated_by.username ]]</b>
            </span></small>
    </p>
    <div class="row">
        <div class="col-md-12 col-lg-5">
            <div class="panel panel-primary">
                <div class="panel-heading">
                    <div class="pull-right btn-group">
                        <a href="{% url 'metadata:organisms_update' pk=object.pk %}" class="btn btn-default btn-xs"><i
                                class="fa fa-edit fa-fw"></i><span class="hidden-xs"> Modifier</span></a>
                        <a href="{% url 'metadata:organisms_delete' pk=object.pk %}" class="btn btn-danger btn-xs"><i
                                class="fa fa-trash fa-fw"></i><span class="hidden-xs"> Supprimer</span></a>
                    </div>
                    <h4 class="panel-title"><i class="fa fa-info-circle fa-fw"></i> Informations</h4>
                </div>
                <div role="panel-body">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="row">
                                    <div class="col-lg-6 col-sm-12">
                                        <label>Nom</label>
                                        <div class="well well-sm">
                                            [[ object.label ]]
                                            <div v-if="object.url" class="pull-right btn-group">
                                                <a :href="object.url" class="btn btn-default btn-xs"><i
                                                        class="fa fa-edit fa-fw"></i><span
                                                        class="hidden-xs"> Site internet</span></a>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-lg-6 col-sm-12">
                                        <label>UUID</label>
                                        <div class="well well-sm">
                                            [[ object.uuid ]]
                                        </div>
                                    </div>

                                    <div class="col-xs-12 col-sm-6">
                                        <label>description</label>
                                        <div class="well well-sm">[[ object.desc ]]</div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <label>Contextes</label>
                                        <div class="well well-sm"><span v-for="c in object.context" class="label label-success">[[c.label]]<span></div>
                                    </div>
                                    <div class="col-xs-12 col-sm-6">
                                        <label>Objectifs</label>
                                        <div class="well well-sm"><span v-for="o in object.objective" class="label label-info">[[o.label]]<span></div>
                                    </div>
                                    <div class="col-lg-12">
                                        <label>Niveau géographique</label>
                                        <div class="well well-sm">
                                            [[ object.territory_level? object.territory_level.label : '-' ]]
                                        </div>
                                    </div>
                                    <div class="col-xs-12 col-sm-12 col-md-6">
                                        <label>Précision</label>
                                        <div class="well well-sm">[[ object.geo_accuracy ? object.geo_accuracy  : '-' ]]
                                        </div>
                                    </div>
                                                                        <div class="col-xs-12 col-sm-12 col-md-6">
                                        <label>Type de financement</label>
                                        <div class="well well-sm">[[ object.financing_type.label ? object.financing_type.label  : '-' ]]
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        {% comment %}


            DONNEES ATTRIBUEES A LA SESSION


        {% endcomment %}
        <div class="col-md-12 col-lg-7">
            {% comment %}

            BLOC1: Espèces observées

            {% endcomment %}
            <div id="accordion" class="panel-group">
                {% comment %}

                    BLOC1: Sessions d'inventaires

                {% endcomment %}
                <div class="panel panel-default panel-info panel-table">
                    <!-- Default panel contents -->
                    <div class="panel-heading">
                        <div class="pull-right btn-group btn-group-xs">
                            {% if object.members.all.count > 0 %}
                                <a class="btn btn-default" data-toggle="collapse" data-parent="#accordion"
                                   href="#collapseMembers" title="voir/cacher la liste"><span
                                        class="caret"></span></a>
                            {% endif %}
                            <a href="#"
                               class="pull-right btn btn-primary btn-xs"><i
                                    class="fi-plus"></i><span class="hidden-xs"> Ajouter</span></a>
                        </div>
                        <h4><i
                                class="fa fa-users"></i> Jeux de données</a>
                            {% if object.members.all.count > 0 %}
                                <a data-toggle="collapse" data-parent="#accordion"
                                   href="#collapseMembers" title="voir/cacher la liste"><span
                                        class="badge">{{ object.members.all.count }}</span></a>
                            {% else %}
                                <span class="badge">{{ object.members.all.count }}</span>
                            {% endif %}
                        </h4>
                    </div>

                    <!-- Table -->
                    {% if object.members.all.count > 0 %}
                        <div id="collapseSighting" class="panel-body">
                            <table class="table table-striped">
                                <thead>
                                <tr>
                                    <th>Nom</th>
                                    <th>Prénom</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for m in object.members.all %}
                                    <tr>
                                        <td>{{ m.username }}</td>
                                        <td>{{ m.first_name }} {{ m.last_name }}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    <script type="application/javascript">
        var app = new Vue({
            el: '#acquisitionframework',
            delimiters: ['[[', ']]'],
            data: {
                object: Object
            },
            mounted() {
                axios
                    .get('{% url 'metadata:acquisition_framework_detail_api' pk=object.pk %}')
                    .then(response => (this.object = response.data))
                    .then(console.log('resp', this.object))
            },
            filters: {
                humanize_ts: function (value) {
                    console.log(moment.locale(),' > ', moment(value).format('L LT'));
                    return moment(value).format('L LT')
                }
            }
        })
    </script>
{% endblock %}

metadata/templates/form.html
{% extends 'base.html' %}
{% load staticfiles %}
{% load crispy_forms_tags %}
{% block content %}
    <h1><i class="{{ icon }}"></i> {{ title }}</h1>
    {% if messages or error_message or form.errors %}
        <div class="alert alert-danger" role="alert">
            <ul class="messages">
                {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
                {% for message in error_message %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
                {% for message in form.errors %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
        </div>
    {% endif %}
    <div class="panel">
    <div class="panel-body">
        <form action="" method="post" enctype="multipart/form-data">
            {% csrf_token %}
            {{ form | crispy }}
            <button type="submit" class="save btn btn-default">Save</button>
                    <a type="button" class="btn btn-warning btn-sm pull-right" href="{% url 'metadata:organisms_list' %}">
            <i class="fa fa-plus-circle"></i> Liste des organismes
        </a>
        </form>
    </div>
    <link rel="stylesheet" href="{% static 'css/select2-bootstrap.min.css' %}">
    <script type="text/javascript">
        {{ js | safe }};
        {#$.fn.select2.defaults.set("theme", "bootstrap");#}
    </script>
    <br/>
    {#    {{ form.media }}#}

{% endblock %}

metadata/templates/organism_list.html
{% extends 'base.html' %}
{% load i18n %}

{% block content %}
    <h1><i class="fa fa-users"></i> List des organismes</h1>
    <div class="panel">
        <div class="panel-body">
            Liste des organismes enregistrés
            <a type="button" class="btn btn-success btn-sm pull-right"
                    {% comment %}data-toggle="modal" data-target="#organismForm"{% endcomment %}
               href="{% url 'metadata:organisms_create' %}">
                <i class="fa fa-plus-circle"></i> Ajouter
            </a>
        </div>
        {% if organisms %}
            <table class="table table-striped table-hover table-condensed table-responsive">
                <thead class="bg-light">
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nom</th>
                    <th scope="col">Nom court</th>
                    <th scope="col">Périmètre d'action</th>
                    <th scope="col">Statut</th>
                    <th scope="col">Type</th>
                    <th scope="col">Email</th>
                    <th scope="col">URL</th>
                    <th scope="col">MaJ</th>
                </tr>
                </thead>
                <tbody>
                {% for o in organisms %}
                    <tr>
                        <th scope="row">
                            <div class="btn-group" role="group" aria-label="...">
                            <a href="{% url 'metadata:organisms_update' pk=o.id_organism %}"
                               title="Aller sur la fiche détaillée" type="button" class="btn btn-primary btn-xs"><i class="fa fa-edit"></i></a>
                            <a href="{% url 'metadata:organisms_delete' pk=o.id_organism %}"
                               title="Aller sur la fiche détaillée" type="button" class="btn btn-primary btn-xs"><i class="fa fa-trash-alt"></i></a>
                            </div>
                        </th>
                        <td><a href="{% url 'metadata:organisms_detail' pk=o.id_organism %}"
                               title="Aller sur la fiche détaillée">#{{ o.id_organism }} {{ o.label }}</a></td>
                        <td>{{ o.short_label }}</td>
                        <td>{{ o.action_scope.label }}</td>
                        <td>{{ o.status.label }}</td>
                        <td>{{ o.type.label }}</td>
                        <td>{{ o.email }}</td>
                        <td>{{ o.url }}</td>
                        <td>{{ o.timestamp_update|date:'SHORT_DATETIME_FORMAT' }} par {{ o.created_by.username }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <script>
                $(document).ready(function () {
                    $('.table').DataTable();
                });
            </script>

        {% else %}
            <p>There are no organisms.</p>
        {% endif %}

    </div>
{% endblock %}